import { Component, OnDestroy, OnInit, Input, Optional, OnChanges, SimpleChanges } from '@angular/core';
import { Vector } from 'ol/layer';
import { Style } from 'ol/style';
import { StyleFunction } from 'ol/style/Style';
import { LayerVectorComponent, LayerGroupComponent, MapComponent } from 'ngx-openlayers';
import { RenderType  } from 'ol/layer/Vector';

@Component({
  selector: 'fm-map-aol-layer-vector-image',
  template: `
    <ng-content></ng-content>
  `,
})
export class LayerVectorImageComponent extends LayerVectorComponent implements OnInit, OnDestroy, OnChanges {
  public source: Vector;

  @Input()
  renderMode: RenderType | string = "image";  

  constructor(map: MapComponent) {
    super(map);
  }

  ngOnInit() {
    super.ngOnInit();
  }

  ngOnChanges(changes: SimpleChanges) {
    super.ngOnChanges(changes);
  }
}
